Package org.apache.torque.generator.source.transform

# Class AttributeTransformerTest

java.lang.Object
org.apache.torque.generator.source.transform.AttributeTransformerTest

public class AttributeTransformerTest extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttributeTransformerTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `before()`
  `void`
  `testParseAttribute()`
  `void`
  `testParseAttributeInTarget()`
  `void`
  `testParseDefinitionInsideType()`
  `void`
  `testParseDefinitionInsideValue()`
  `void`
  `testParseEscapingInDefinition()`
  `void`
  `testParseEscapingInPlain()`
  `void`
  `testParseNoOverrideAttribute()`
  `void`
  `testParseNoOverrideAttributeInSource()`
  `void`
  `testParseNotEndedDefinition()`
  `void`
  `testParseOption()`
  `void`
  `testParseOptionInTarget()`
  `void`
  `testParseOverrideAttribute()`
  `void`
  `testParseOverrideAttributeInSource()`
  `void`
  `testParsePlainInTarget()`
  `void`
  `testParsePlainText()`
  `void`
  `testParseSeveralDefinitions()`
  `void`
  `testUnknownDefinition()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttributeTransformerTest

    public AttributeTransformerTest()

- ## Method Details

  - ### before

    @BeforeEach public void before() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParsePlainText

    @Test public void testParsePlainText() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseOption

    @Test public void testParseOption() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseAttribute

    @Test public void testParseAttribute() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseOverrideAttribute

    @Test public void testParseOverrideAttribute() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseNoOverrideAttribute

    @Test public void testParseNoOverrideAttribute() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseEscapingInPlain

    @Test public void testParseEscapingInPlain() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseEscapingInDefinition

    @Test public void testParseEscapingInDefinition() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseSeveralDefinitions

    @Test public void testParseSeveralDefinitions() throws SourceTransformerException
    Throws:
      `SourceTransformerException`

  - ### testParseNotEndedDefinition

    @Test public void testParseNotEndedDefinition()

  - ### testParseDefinitionInsideType

    @Test public void testParseDefinitionInsideType()

  - ### testParseDefinitionInsideValue

    @Test public void testParseDefinitionInsideValue()

  - ### testUnknownDefinition

    @Test public void testUnknownDefinition()

  - ### testParsePlainInTarget

    @Test public void testParsePlainInTarget()

  - ### testParseOptionInTarget

    @Test public void testParseOptionInTarget()

  - ### testParseAttributeInTarget

    @Test public void testParseAttributeInTarget()

  - ### testParseNoOverrideAttributeInSource

    @Test public void testParseNoOverrideAttributeInSource()

  - ### testParseOverrideAttributeInSource

    @Test public void testParseOverrideAttributeInSource()